export default {
    en: {
        "ruler.no_data": "No Data",
        "ruler.oob": "Value out of bounds",
        "ruler.unit": "°F",

        "ssh.ssh_otp": "SSH one-time password",
        "ssh.generate_otp_for_root": "Generate OTP for root",
        "ssh.generate": "Generate",

        "navbar.api_documentation": "API Documentation",
        "navbar.online_documentation": "Online Documentation",

        "mqtt.push_configuration": "Push configuration",
        "mqtt.mqtt_configuration": "MQTT Configuration",
        "mqtt.broker_config_succ": "MQTT Broker Configuration successful!",

        "info.error_reload": "Error while reloading information. Please try again later.",
        "info.product_part_number": "Product part number",
        "info.product_name": "Product name",
        "info.product_version": "Product version",
        "info.product_serial": "Serial number",
        "info.manufacturer": "Manufacturer",
        "info.api_version": "API version",
        "info.firmware_version": "Firmware version",
        "info.firmware_build": "Firmware build",
        "info.firmware_variant": "Firmware variant",
        "info.mac_address": "MAC address",

        "update.firmware_updating": "Firmware updating...",
        "update.firmware_update_succ": "Firmware update succeeded",
        "update.firmware_update_fail": "Firmware update failed",
        "update.firmware_invalid": "Firmware update (invalid firmware variant)",
        "update.firmware_update": "Firmware update",
        "update.update_firmware": "Update Firmware",
        "update.upload_file": "Upload file",

        "node.node_config": "Node configuration",
        "node.element_name": "Element name",
        "node.application_name": "Application name",
        "node.get_config_error": "Error while fetching node configuration. Please try again later.",        
        "node.set_config_succ": "Configuration successful!",
        "node.set_config_err": "Error while setting node configuration. Please try again later.",
        
        "main.configuration": "Configuration",
        "main.security": "Security",
        "main.start": "Start",

        "security.reset": "Reset security",
        "security.security_reset": "Security reset",
        "security.upload_client_cert": "Upload client certificate",
        "security.upload_root_cert": "Upload root certificate",
        "security.upload_host_cert": "Upload host certificate",
        "security.host_authentication": "Host authentication",
        "security.client_authentication": "Client authentication",
        "security.root_authentication": "Root authentication",
        "security.remote_authentication": "Remote authentication",
        "security.enforce_mtls_access": "Enforce mTLS access",
        "security.client_cert": "Client certificate",

        "security.text_security_reset": "The security reset restores the manufacturing state of the security configuration.",
        "security.text_remote_authentication": "While accessing an MQTT broker, which is running with mTLS, the periMICA container needs to provide a <i>client certificate</i> to be authenticated by the broker.",
        "security.text_client_authentication": "During the initiation of the TLS connection, the periMICA container can request a client authentication as well (mutual TLS). A remote HTTPs client must authenticate itself by sending a <i>client certificate</i>. The <i>client certificate</i> will be verified with the <i>root certificate</i>, which has been stored beforehand on the periMICA container. <br><br><b>When mTLS has been activated, only verified clients are allowed to access the periMICA container.</b>",
        "security.text_host_authentication": "During the initiation of the TLS connection, the periMICA container authenticates itself by sending a <i>host certificate</i> to the connecting remote HTTPs client. The <i>host certificate</i> has been signed by a trusted authority, which is also trusted by the remote client. The remote client can therefore be sure to communicate with an authentic periMICA container. <br><br><b>Perinet also provides the PKI2go, which can be used as a trusted authority.</b>",
        "security.client_tool_tip": "While accessing an MQTT broker, which is running with mTLS, the periNODE needs to provide a <i>client certificate</i> to be authenticated by the broker.",
        "security.root_tool_tip": "During the initiation of the TLS connection, the periNODE can request a client authentication as well (mutual TLS). A remote HTTPs client must authenticate itself by sending a <i>client certificate</i>. The <i>client certificate</i> will be verified with the <i>root certificate</i>, which has been stored beforehand on the periNODE. </br></br><b>When mTLS has been activated, only verified clients are allowed to access the periNODE.</b>",
        "security.host_production_appendix": "During the periNODE production, a unique <i>host certificate</i> is deployed, which has been signed by Perinet's publicly available Root CA certificate (perinet-ecc-root-ca).",
        "security.host_tool_tip_part1": "During the initiation of the TLS connection, the periNODE authenticates itself by sending a <i>host certificate</i> to the connecting remote HTTPs client. The <i>host certificate</i> has been signed by a trusted authority, which is also trusted by the remote client. The remote client can therefore be sure to communicate with an authentic periNODE.",
        "security.host_tool_tip_part2": "</br></br><b>Perinet also provides the PKI2go, which can be used as a trusted authority.</b>",
    },
    de: {
        "ruler.no_data": "Keine Daten",
        "ruler.oob": "Wertebereich beachten",
        "ruler.unit": "°C",
        
        "ssh.ssh_otp": "SSH Einmal-Passwort",
        "ssh.generate_otp_for_root": "Generiere Einmal-Passwort",
        "ssh.generate": "Generiere",

        "navbar.api_documentation": "API Dokumentation",
        "navbar.online_documentation": "Online Dokumentation",

        "mqtt.push_configuration": "Konfiguration hochladen",
        "mqtt.mqtt_configuration": "MQTT Konfiguration",
        "mqtt.broker_config_succ": "MQTT-Broker Konfiguration erfolgreich!",

        "info.error_reload": "Fehler beim Nachladen von Informationen. Bitte versuchen Sie es später noch einmal.",
        "info.product_part_number": "Produktnummer",
        "info.product_name": "Produktname",
        "info.product_version": "Produktversion",
        "info.product_serial": "Seriennummer",
        "info.api_version": "API Version",
        "info.firmware_version": "Firmwareversion",
        "info.firmware_build": "Firmware-Build",
        "info.firmware_variant": "Firmware-Variante",
        "info.mac_address": "MAC-Addresse",

        "update.firmware_updating": "Firmware wird aktualisiert...",
        "update.firmware_update_succ": "Firmware-Aktualisierung erfolgreich!",
        "update.firmware_update_fail": "Firmware-Aktualisierung fehlgeschlagen!",
        "update.firmware_invalid": "Firmware-Aktualisierung (ungültige Firmware-Variante)",
        "update.firmware_update": "Firmware-Aktualisierung",
        "update.update_firmware": "Starte Aktualisierung",
        "update.upload_file": "Datei hochladen",

        "node.node_config": "Knoten Konfiguration",
        "node.application_name": "Applikationsname",
        "node.element_name": "Elementname",
        "node.get_config_error": "Fehler beim Abrufen der Knotenkonfiguration. Bitte versuchen Sie es später erneut.",
        "node.set_config_succ": "Konfiguration erfolgreich!",
        "node.set_config_err": "Fehler beim Einstellen der Knotenkonfiguration. Bitte versuchen Sie es später erneut.",

        "main.configuration": "Konfiguration",
        "main.security": "Sicherheit",
        "main.start": "Start",
    }
};
